Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/src/lib/util/git.sh
diff options
context:
space:
mode:
authorAndreas Baumann <mail@andreasbaumann.cc>2024-03-08 09:03:18 +0100
committerAndreas Baumann <mail@andreasbaumann.cc>2024-03-08 09:03:18 +0100
commit8f46b191dd9ef417976fe07229aa36f0f37a1f15 (patch)
treee981a6b2a88a56a9c2503d65416a38a843348bc6 /src/lib/util/git.sh
parent8c41277a2e62c7ed2b07ac5d09af57b31c9cd890 (diff)
parent509dd24bdcd6c45bd86937fcd1de6fd1fa510441 (diff)
merged with upstream changes
Diffstat (limited to 'src/lib/util/git.sh')
-rw-r--r--src/lib/util/git.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/src/lib/util/git.sh b/src/lib/util/git.sh
index c4af662..82e4beb 100644
--- a/src/lib/util/git.sh
+++ b/src/lib/util/git.sh
@@ -7,6 +7,9 @@ DEVTOOLS_INCLUDE_UTIL_GIT_SH=1
_DEVTOOLS_LIBRARY_DIR=${_DEVTOOLS_LIBRARY_DIR:-@pkgdatadir@}
+# shellcheck source=src/lib/common.sh
+source "${_DEVTOOLS_LIBRARY_DIR}"/lib/common.sh
+
git_diff_tree() {
local commit=$1
@@ -22,3 +25,10 @@ git_diff_tree() {
"${commit}" \
-- "${path}"
}
+
+git_warmup_ssh_connection() {
+ msg 'Establishing ssh connection to git@%s' "${GITLAB_HOST}"
+ if ! ssh -T "git@${GITLAB_HOST}" >/dev/null; then
+ die 'Failed to establish ssh connection to git@%s' "${GITLAB_HOST}"
+ fi
+}